JspApplicationContextImpl (Tomcat API Documentation)
Keywords: org.apache.jasper.runtime.JspApplicationContextImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.runtime
Class JspApplicationContextImpl

    java.lang.Object
      org.apache.jasper.runtime.JspApplicationContextImpl

All Implemented Interfaces:
  javax.servlet.jsp.JspApplicationContext

    public class JspApplicationContextImpl

extends java.lang.Object
implements javax.servlet.jsp.JspApplicationContext

Implementation of JspApplicationContext

Author:
  Jacob Hookom

Constructor Summary
`JspApplicationContextImpl()`

Method Summary
`void` | `addELContextListener(javax.el.ELContextListener listener)` Registers an `ELContextListener` that will notified whenever a new `ELContext` is created.
`void` | `addELResolver(javax.el.ELResolver resolver)` Adds an `ELResolver` to the chain of EL variable and property management within JSP pages and Tag files.
`ELContextImpl` | `createELContext(javax.servlet.jsp.JspContext context)`
`javax.el.ExpressionFactory` | `getExpressionFactory()` Returns the JSP container's `ExpressionFactory` implementation for EL use.
`static JspApplicationContextImpl` | `getInstance(javax.servlet.ServletContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspApplicationContextImpl

    public JspApplicationContextImpl()

Method Detail

### addELContextListener

    public void addELContextListener(javax.el.ELContextListener listener)

  Description copied from interface: `javax.servlet.jsp.JspApplicationContext`

  Registers an `ELContextListener` that will notified whenever a new `ELContext` is created.

  At the very least, any `ELContext` instantiated will have reference to the `JspContext` under `JspContext.class`.

  Specified by:
    `addELContextListener` in interface `javax.servlet.jsp.JspApplicationContext`

### getInstance

    public static JspApplicationContextImpl getInstance(javax.servlet.ServletContext context)

### createELContext

    public ELContextImpl createELContext(javax.servlet.jsp.JspContext context)

### addELResolver

    public void addELResolver(javax.el.ELResolver resolver)
                       throws java.lang.IllegalStateException

  Description copied from interface: `javax.servlet.jsp.JspApplicationContext`

  Adds an `ELResolver` to the chain of EL variable and property management within JSP pages and Tag files.

  JSP has a default set of ELResolvers to chain for all EL evaluation:

  - `ImplicitObjectELResolver`
  - `ELResolver` instances registered with this method
  - `MapELResolver`
  - `ListELResolver`
  - `ArrayELResolver`
  - `BeanELResolver`
  - `ScopedAttributeELResolver`

  Specified by:
    `addELResolver` in interface `javax.servlet.jsp.JspApplicationContext`
  Parameters:
    `resolver` - an additional resolver
  Throws:
    `java.lang.IllegalStateException` - if called after the application's `ServletContextListeners` have been initialized.

### getExpressionFactory

    public javax.el.ExpressionFactory getExpressionFactory()

  Description copied from interface: `javax.servlet.jsp.JspApplicationContext`

  Returns the JSP container's `ExpressionFactory` implementation for EL use.

  Specified by:
    `getExpressionFactory` in interface `javax.servlet.jsp.JspApplicationContext`
  Returns:
    an `ExpressionFactory` implementation

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.